package book

import "github.com/gin-gonic/gin"

func registerBookCommentLikeRecordRoutes(router gin.IRoutes, routerWithoutRecord gin.IRoutes) {
	router.POST("createBookCommentLikeRecord", bookApiGroup.BookCommentLikeRecordApi.CreateBookCommentLikeRecord)
	router.DELETE("deleteBookCommentLikeRecord", bookApiGroup.BookCommentLikeRecordApi.DeleteBookCommentLikeRecord)
	router.DELETE("deleteBookCommentLikeRecordByIds", bookApiGroup.BookCommentLikeRecordApi.DeleteBookCommentLikeRecordByIds)
	router.PUT("updateBookCommentLikeRecord", bookApiGroup.BookCommentLikeRecordApi.UpdateBookCommentLikeRecord)
	routerWithoutRecord.GET("findBookCommentLikeRecord", bookApiGroup.BookCommentLikeRecordApi.FindBookCommentLikeRecord)
	routerWithoutRecord.GET("getBookCommentLikeRecordList", bookApiGroup.BookCommentLikeRecordApi.GetBookCommentLikeRecordList)
}
